﻿using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	/// Tc患者操作服务
	/// </summary>
	public interface ITCPatInfoService
    {
        /// <summary>
        /// 保存患者的mrn(不是P开的编码)
        /// </summary>
        /// <param name="patId"></param>
        /// <returns></returns>
        bool SavePatMrn(int patId);
    }
}
