﻿using ASHermed.SinoInterface.Api.ContractModel.Coupon.Entity;
using ASHermed.SinoInterface.Api.IRepository.App;
using ASHermed.SinoInterface.Repository.MySql;
using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;
using ASHermed.SinoInterface.Api.ContractModel.Online.Entity;

namespace ASHermed.SinoInterface.Api.MySqlRepository.App
{
    public class OnlineLinKingIMrRepository : BaseRepositoryToASHermed_SinoInterface<OnlineLinkingIM>, IOnlineLinKingIMrRepository
    {
        public int InsertLinKingIM(List<OnlineLinkingIM> model)
        {
            var sql = @"INSERT INTO `online_linkingim` ( `OrderNo`, `PatId`, `IsDoctor`, `Content`, `MessageType`, `DocId`, `TalkTime`, `TalkName` )
                            VALUES
	                            ( @OrderNo, @PatId, @IsDoctor, @Content, @MessageType, @DocId, @TalkTime, @TalkName ) ";
            return Execute(sql, model);
        }

    }
}
