﻿using PoJun.Dapper;
using ASHermed.SinoInterface.Api.IRepository.Test;
using ASHermed.SinoInterface.Entity.Test;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Tools;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.IRepository;
using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App.Entity;
using ASHermed.SinoInterface.Api.ContractModel.App.Model;
using ASHermed.SinoInterface.Api.IRepository.App;

namespace ASHermed.SinoInterface.Api.MySqlRepository.App
{
    public class OutDoctorAdviceRepository : BaseRepositoryToASHermed_SinoInterface<Out_DoctorAdvice>, IOutDoctorAdviceRepository
    {
        public int InsertDoctorAdvice(Out_DoctorAdvice model)
        {
            var sql = @" INSERT INTO `out_doctoradvice`
                        (`OeorirowId`, `PatId`, `EpisodeNo`, `OrderItemDescription`, `OrderItemCode`, `OrderSubcategory`, `StartDate`, `StartTime`, `EndDate`, `EndTime`, `IndicationNotes`, `ProcessingNotes`, `OrderStatusDesc`, `OrderDate`, `OrderTime`, `Priority`, `Frequency`, `Duration`, `QuantityOrdered`) 
                        VALUES
                        (@OeorirowId, @PatId, @EpisodeNo, @OrderItemDescription, @OrderItemCode, @OrderSubcategory, @StartDate, @StartTime,@EndDate, @EndTime, @IndicationNotes, @ProcessingNotes, @OrderStatusDesc, @OrderDate, @OrderTime, @Priority,@Frequency, @Duration, @QuantityOrdered) ";
            return Execute(sql, model);
        }
    }
}
