﻿using System.Threading.Tasks;
using ASHermed.SinoInterface.Api.ContractModel.App.Entity;
using ASHermed.SinoInterface.Api.IRepository.App;
using ASHermed.SinoInterface.Repository.MySql;

namespace ASHermed.SinoInterface.Api.MySqlRepository.App
{
    public class PubPatTcAbnormalRepository : BaseRepositoryToASHermed_SinoInterface<Pub_Pat_TcAbnormal>, IPubPatTcAbnormalRepository
    {
        public async Task<int> InsertAsync(Pub_Pat_TcAbnormal tcAbnormal)
        {
            const string sql = "INSERT INTO pub_pat_tcabnormal ( UserId, RequestTime, NId) VALUES (@UserId,@RequestTime,@NId)";

            var result = await ExecuteAsync(sql, tcAbnormal);

            return result;
        }
    }
}