﻿using ASHermed.SinoInterface.Api.ContractModel.App;
using System.Collections.Generic;
using ASHermed.SinoInterface.Repository.MySql;

namespace ASHermed.SinoInterface.Api.IRepository.App
{
    public interface IManyPatRepository : IBaseRepositoryToASHermed_SinoInterface<Pub_User_Info>
    {
        /// <summary>
        /// 查询患者被多少用户绑定
        /// </summary>
        /// <param name="patId"></param>
        /// <returns></returns>
        List<Pub_User_Info> GetUsersByPatId(int patId);

        /// <summary>
        /// 查询用户绑定的患者
        /// </summary>
        /// <param name="userId"></param>
        /// <returns></returns>
        List<Pub_Pat_Info> GetPatientsByUserId(int userId);
    }
}