﻿using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService.App
{

    /// <summary>
    /// 材料补充 
    /// </summary>
    public interface ISupplementaryMaterialsService
    {
        /// <summary>
        /// 添加修改 补充材料
        /// </summary>
        /// <param name="param"></param>
        /// <returns></returns>
        Task<SinoInterface.ContractModel.BaseResponse<dynamic>> AddSupplementaryMaterials(AddSupplementaryMaterialsParam param);
        /// <summary>
        /// 删除补充材料
        /// </summary>
        /// <param name="param"></param>
        /// <returns></returns>
        Task<SinoInterface.ContractModel.BaseResponse<dynamic>> DelSupplementaryMaterials(DeletedSupplementaryMaterialsParam param);

        Task<BaseResponse<dynamic>> GetSupplementaryMaterials(GetSupplementaryMaterialsParam param);
    }
}
