﻿using PoJun.Dapper;
using ASHermed.SinoInterface.Api.IRepository.Test;
using ASHermed.SinoInterface.Entity.Test;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Tools;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.IRepository;

namespace ASHermed.SinoInterface.Api.MySqlRepository
{
   
	public class DicMedicineRepository : BaseRepositoryToASHermed_SinoInterface<Dic_Medicine>, IDicMedicineRepository
    {
        public List<LKDrugs> GetMedicineList()
        {
            var parms = new Dictionary<string, object>();
            var selectSql = @"SELECT MedicalInstitutionCode,UniqueCode,MedicalCode,DrugName,ProNameCn,Specification,ManufactorName,Unit,Price,Indications,UseSgin,ApprovalNo,DosageForm,PreparationSign,DrugFlag,AntibioticFlag,AnaesthesiaFlag,ModifyFlag,DosageUnit,Remark FROM dic_medicine where IsPostLinKing = 1";
            var result = Query<LKDrugs>(selectSql, parms);
            return result.ToList();
        }


    }


}
