﻿using System.Threading.Tasks;
using ASHermed.SinoInterface.Api.ContractModel.App.Entity;
using ASHermed.SinoInterface.Api.IRepository.App;
using ASHermed.SinoInterface.Repository.MySql;

namespace ASHermed.SinoInterface.Api.MySqlRepository.App
{
    public class PubPatWashDataRepository : BaseRepositoryToASHermed_SinoInterface<Pub_Pat_WashData>, IPubPatWashDataRepository
    {
        public async Task<int> AddAsync(Pub_Pat_WashData patWashData)
        {
            const string sql = "insert into pub_pat_washdata (PatId,ErrorType,CreateTime) values (@PatId,@ErrorType,@CreateTime)";
            var result = await ExecuteAsync(sql, patWashData);
            return result;
        }
    }
}